Bug 185634 - RFE: add initial "yum update" option to firstboot
RFE: add initial "yum update" option to firstboot
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-03-16 10:48 EST by Ben Steeves
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-08 11:45:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Steeves 2006-03-16 10:48:13 EST
This is just a request for enhancement.  

Firstboot should ask the user if they would like to run an initial "yum update"
before getting to the GDB login screen.  The question should be surpressed if
(a) there are no updates to apply or (b) the network is not configured, but in
those cases the user should be gently reminded to check for updates regularly
(or maybe it could offer to configure the machine to update automatically).

This enhancement would cut down on the number of "Fedora killed my machine"
complaints that tend to come out with every new release, which is an especially
delicate time when (a) the distro is getting introduced to new people and (b)
people tend to "stress" their systems by doing crazy things like building new
kernel modules (the nvidia proprietary module comes to mind, as the initial
release of FC5 will not support build it correctly).
Comment 1 Ben Steeves 2006-03-16 14:44:58 EST
Here are some additional comments by people from fedora-test-list:

On 3/16/06, Chidananda Jayakeerti <ajchida@gmail.com> wrote:
> > On Thursday 16 March 2006 15:57, Gilboa Davara wrote: 
> > >
> > > Ummm... there's a problem, though: by doing it during firstboot you look
> > > the user out of his machine till the download is completed... for slow
> > > modem users this might be a problem. (Especially down the line, when 
> > > you'll have 1GB of updates to download...)

The general response to this was to either (a) start the download process in the
background or (b) allow the user to schedule when the update should start.  

> > Also, people with dial-up connections sometimes have time-sensitive
> charges,
> > so may wish to wait until the cheaper rate is available.  As long as there
> is
> > an option, though, it would alert them to the fact that an update should
> be 
> > done as soon as possible.

As above, with the caveat that at firstboot the user wouldn't have network
connectivity so the update wouldn't start automatically anyway -- but firstboot
could still ask the user if they'd like to turn on automatic updating.  

Dial-up users definitely need to be handled somewhat more gently than broadband
users but the general hope is that the number of dial-up users will decrease
over time, so there shouldn't be too much effort expended on making the process
bulletproof for them.  With that said, it should err on the side of *not* tying
up their phone line for hours.

> This is a very nice feature to have. Mandrake has had this for a while.
> Since this is an option at first boot, the user can select which updates to
> install. Also, if security updates are highlighted, dialup users can install
> those immediately instead of installing the entire set of updates. 

Comment 2 Gianluca Sforna 2006-03-17 04:06:17 EST
What about supporting installing updates burned to a CDROM ?
Comment 3 Richard Lloyd 2006-03-17 12:42:14 EST
...or supporting the use of delta RPMs during updates (which helps dial-up users
immensely) - I've filed an RFE as bug 183977 for this. I think offering to
update either during install or firstboot is a good idea but it possibly might
need to be optional (e.g. you might be installing with either no network
connection or with dial-up), albeit with a big warning dialogue box if you do
decide to skip the updates.
Comment 4 Ben Steeves 2006-03-17 12:58:36 EST
It definitely needs to be optional -- there are some good reasons why you might
not want to initially patch a system.
Comment 5 Josh 2006-03-20 12:42:13 EST
Couple more suggestions,

1. First boot update should be optional ("Update later" should be allowed)
2. Option to install security/critical (color coding?) updates should be
possible (for dialup users or users in a hurry)
3. Users should be able to select updates they'd want to wish 
4. Users should be able to pick the location to get updates from
(mirror/CD/custom repository). 
Comment 6 Chris Lumens 2006-08-08 11:45:09 EDT
Now that anaconda supports installation from multiple repositories, it seems to
me that the correct fix here is to make sure anaconda can also install from the
updates repo.  This way, you'd only even have to download the packages once (for
an FTP or HTTP install).  The biggest problem here is just making sure that the
updates repo is enabled by default during install.
Comment 7 Gilboa Davara 2006-08-08 11:50:56 EDT
Will updates be available in the default installation?

Note You need to log in before you can comment on or make changes to this bug.